summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2015-08-21 14:13:02 +0200
committerAlexis Ballier <aballier@gentoo.org>2015-08-21 14:13:02 +0200
commit796b07704be335b0fe8d6566e2a1bee8f2183a69 (patch)
tree709f03533a5d80bc93e3b7e2fb2adba4b06ca98c /media-video
parentprofiles/package.mask: Masked =dev-libs/liblognorm-1.1.2 (diff)
downloadgentoo-796b07704be335b0fe8d6566e2a1bee8f2183a69.tar.gz
gentoo-796b07704be335b0fe8d6566e2a1bee8f2183a69.tar.bz2
gentoo-796b07704be335b0fe8d6566e2a1bee8f2183a69.zip
media-video/mkvtoolnix: bump to 8.3.0
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'media-video')
-rw-r--r--media-video/mkvtoolnix/Manifest1
-rw-r--r--media-video/mkvtoolnix/mkvtoolnix-8.3.0.ebuild121
2 files changed, 122 insertions, 0 deletions
diff --git a/media-video/mkvtoolnix/Manifest b/media-video/mkvtoolnix/Manifest
index aaac3129750..65a84e0805c 100644
--- a/media-video/mkvtoolnix/Manifest
+++ b/media-video/mkvtoolnix/Manifest
@@ -1,2 +1,3 @@
DIST mkvtoolnix-6.6.0.tar.xz 5174424 SHA256 cb1f965617fe064cf78457d3fbd0685eb31ae5b7e205cf4c8e74b6f27f3399e3 SHA512 c86f10a0a919e6d28c2587b60663c38713cfa6ca0a5188524b81af2fd60e4ea626a01431d29c6ae5885eae05d71af93d857986c5008aec4963dacc3ead9dc26f WHIRLPOOL 55a15bb2fdb62af85e189c39b1a1391d33eb08b4ba116fc307965be6817a944b21d18c034b9a3da16a6e84e93544dbd59f3c7fe9406ab454e15cf8ee1eb815c3
DIST mkvtoolnix-8.2.0.tar.xz 5856988 SHA256 eb6d3d7a0254bb4326dccc9983418801783198cdf4a259f31261dab4e843a5c4 SHA512 200fad08f6912081d7aabbae9330dc41b90af8d6fdce592090b9fedf2325a91f70d3a85ff40b03b57b0682a075050b6b73307872c1e716e8261849c3fb97968b WHIRLPOOL 1b25cd8913eb02018d62de369171ee1a48d31cbce6684c0c7febd2f88c3286bbf386c825ddeae54ef411dc14cc128c9e833408f9b0ac9cb1d5e525ba34aaa4ae
+DIST mkvtoolnix-8.3.0.tar.xz 5863384 SHA256 87bd82222995d35c310a426ed43e0b27cbfefa0caadcbcca8296787314affc37 SHA512 fb3ac11480c20ae360fef9081991876ef2d7a717f24ec631bb8482ee7d22f79164aafeaf561dee503f1c0a83fe3ed6db319b420c34d638450aada762e6eb00c0 WHIRLPOOL b3cd3f4785c891c75eac3754136aa0b709ff0e784eea6d0e915478eea6fbdbe7132c56a997a007ba6d690649b6caaae46a8b45ae055aab7ae557486d99aab417
diff --git a/media-video/mkvtoolnix/mkvtoolnix-8.3.0.ebuild b/media-video/mkvtoolnix/mkvtoolnix-8.3.0.ebuild
new file mode 100644
index 00000000000..f2bb7344e11
--- /dev/null
+++ b/media-video/mkvtoolnix/mkvtoolnix-8.3.0.ebuild
@@ -0,0 +1,121 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+WX_GTK_VER="3.0"
+inherit eutils multilib toolchain-funcs versionator wxwidgets multiprocessing autotools
+
+DESCRIPTION="Tools to create, alter, and inspect Matroska files"
+HOMEPAGE="http://www.bunkus.org/videotools/mkvtoolnix"
+SRC_URI="http://www.bunkus.org/videotools/mkvtoolnix/sources/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="curl debug pch qt5 wxwidgets"
+
+ruby_atom() {
+ local ruby_slot=${1/ruby/}
+ ruby_slot="${ruby_slot:0:1}.${ruby_slot:1:2}"
+ echo "dev-lang/ruby:${ruby_slot}"
+}
+
+# hacks to avoid using the ruby eclasses since this requires something similar
+# to the python-any-r1 eclass for ruby which currently doesn't exist
+RUBY_IMPLS=( ruby22 ruby21 ruby20 )
+RUBY_BDEPS="$(for ruby_impl in "${RUBY_IMPLS[@]}"; do
+ echo "( $(ruby_atom ${ruby_impl}) virtual/rubygems[ruby_targets_${ruby_impl}] )"; done)"
+
+RDEPEND="
+ >=dev-libs/boost-1.46.0:=
+ >=dev-libs/libebml-1.3.1:=
+ dev-libs/pugixml
+ media-libs/flac
+ >=media-libs/libmatroska-1.4.2:=
+ media-libs/libogg
+ media-libs/libvorbis
+ sys-apps/file
+ >=sys-devel/gcc-4.6
+ sys-libs/zlib
+ qt5? (
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5
+ )
+ wxwidgets? ( x11-libs/wxGTK:${WX_GTK_VER}[X] )
+"
+DEPEND="${RDEPEND}
+ || ( ${RUBY_BDEPS} )
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+pkg_pretend() {
+ # http://bugs.gentoo.org/419257
+ local ver=4.6
+ local msg="You need at least GCC ${ver}.x for C++11 range-based 'for' and nullptr support."
+ if ! version_is_at_least ${ver} $(gcc-version); then
+ eerror ${msg}
+ die ${msg}
+ fi
+}
+
+src_prepare() {
+ local ruby_impl
+ for ruby_impl in "${RUBY_IMPLS[@]}"; do
+ if has_version "$(ruby_atom ${ruby_impl})"; then
+ export RUBY=${ruby_impl}
+ break
+ fi
+ done
+ [[ -z ${RUBY} ]] && die "No available ruby implementations to build with"
+
+ epatch_user
+ eautoreconf
+}
+
+src_configure() {
+ local myconf
+
+ if use qt5 ; then
+ # ac/qt5.m4 finds default Qt version set by qtchooser, bug #532600
+ myconf+=(
+ --with-moc=/usr/$(get_libdir)/qt5/bin/moc
+ --with-uic=/usr/$(get_libdir)/qt5/bin/uic
+ --with-rcc=/usr/$(get_libdir)/qt5/bin/rcc
+ --with-mkvtoolnix-gui
+ )
+ fi
+
+ if use wxwidgets ; then
+ need-wxwidgets unicode
+ myconf+=( --with-wx-config=${WX_CONFIG} )
+ fi
+
+ econf \
+ $(use_enable debug) \
+ $(use_enable qt5 qt) \
+ $(use_enable wxwidgets) \
+ $(use_with curl) \
+ $(usex pch "" --disable-precompiled-headers) \
+ "${myconf[@]}" \
+ --disable-optimization \
+ --docdir="${EPREFIX}"/usr/share/doc/${PF} \
+ --with-boost="${EPREFIX}"/usr \
+ --with-boost-libdir="${EPREFIX}"/usr/$(get_libdir)
+}
+
+src_compile() {
+ "${RUBY}" ./drake V=1 -j$(makeopts_jobs) || die
+}
+
+src_install() {
+ DESTDIR="${D}" "${RUBY}" ./drake -j$(makeopts_jobs) install || die
+
+ dodoc AUTHORS ChangeLog README.md TODO
+ doman doc/man/*.1
+
+ use wxwidgets && docompress -x /usr/share/doc/${PF}/guide
+}